Page MenuHomePhabricator

[clangd] Call hierarchy (ClangdLSPServer layer)
ClosedPublic

Authored by nridge on Nov 9 2020, 9:58 PM.

Diff Detail

Event Timeline

nridge created this revision.Nov 9 2020, 9:58 PM
Herald added a project: Restricted Project. · View Herald TranscriptNov 9 2020, 9:58 PM
nridge requested review of this revision.Nov 9 2020, 9:58 PM
kadircet added inline comments.Nov 10 2020, 2:03 PM
clang-tools-extra/clangd/ClangdLSPServer.cpp
1244

as mentioned in the previous review, let's just reply with none/empty here, with a fixme.

clang-tools-extra/clangd/test/call-hierarchy.test
40

it feels fragile to depend on USRs here :/

can we change this lit file to only test for preparecallhierarchy with a wildcard match for the symbolid and introduce a new test into ClangdLSPServerTests.cpp for the incomingcalls ?

Thanks for the reviews!

clang-tools-extra/clangd/test/call-hierarchy.test
40

We could do this, but note that type-hierarchy.test does the same thing.

kadircet added inline comments.Nov 11 2020, 1:07 AM
clang-tools-extra/clangd/test/call-hierarchy.test
40

i believe we didn't have clangdlspservertests at the time, it would be nice to migrate that one too.

nridge updated this revision to Diff 305409.Nov 15 2020, 8:09 PM

Address review comments

nridge marked 3 inline comments as done.Nov 15 2020, 8:09 PM
kadircet accepted this revision.Nov 21 2020, 2:06 AM

thanks, lgtm!

This revision is now accepted and ready to land.Nov 21 2020, 2:06 AM
nridge updated this revision to Diff 306954.Nov 22 2020, 6:40 PM

Update as per API changes in xrefs patch

This revision was landed with ongoing or failed builds.Nov 23 2020, 5:44 PM
This revision was automatically updated to reflect the committed changes.